API Reference
API Reference
Programmatically manage monitors, journeys, and alerts with the izli.io REST API.
API Reference
The izli.io API lets you programmatically manage your monitoring infrastructure.
Overview
- Base URL:
https://izli.io/api/v1 - Authentication: API key (Bearer token)
- Format: JSON
Quick Start
1. Get Your API Key
- Go to Agents in the sidebar
- Click the API Keys tab
- Click Create API Key
- Copy your key (shown only once)
2. Make Your First Request
curl -X GET https://izli.io/api/v1/monitors \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json"3. Create a Monitor
curl -X POST https://izli.io/api/v1/monitors \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Production API",
"type": "url",
"url": "https://api.example.com/health",
"interval": 60,
"locations": ["us-east", "eu-west"]
}'API Resources
Monitors
GET /api/v1/monitors List all monitors
POST /api/v1/monitors Create monitor
GET /api/v1/monitors/{id} Get monitor
PUT /api/v1/monitors/{id} Update monitor
DELETE /api/v1/monitors/{id} Delete monitor
POST /api/v1/monitors/{id}/check Trigger manual check
GET /api/v1/monitors/{id}/results Get check results
GET /api/v1/monitors/{id}/stats Get monitor statsAPI Monitors
GET /api/v1/api-monitors List all API monitors
POST /api/v1/api-monitors Create API monitor
GET /api/v1/api-monitors/{id} Get API monitor
PUT /api/v1/api-monitors/{id} Update API monitor
DELETE /api/v1/api-monitors/{id} Delete API monitor
POST /api/v1/api-monitors/{id}/trigger Trigger manual run
GET /api/v1/api-monitors/{id}/runs Get run historyJourneys
GET /api/v1/journeys List all journeys
POST /api/v1/journeys Create journey
GET /api/v1/journeys/{id} Get journey
PUT /api/v1/journeys/{id} Update journey
DELETE /api/v1/journeys/{id} Delete journey
POST /api/v1/journeys/{id}/run-now Trigger manual run
GET /api/v1/journeys/{id}/runs Get run history
GET /api/v1/journeys/{id}/stats Get journey statsAlerts
GET /api/v1/alerts List alerts
GET /api/v1/alerts/{id} Get alert
POST /api/v1/alerts/{id}/resolve Resolve alert
GET /api/v1/alerts/channels List channels
POST /api/v1/alerts/channels Create channel
POST /api/v1/alerts/channels/{id}/test Test channel
GET /api/v1/alerts/rules List rules
POST /api/v1/alerts/rules Create ruleOrganizations
GET /api/v1/user/organizations List your organizations
GET /api/v1/organizations/{id} Get organization
PUT /api/v1/organizations/{id} Update organization
GET /api/v1/organizations/{id}/members List members
POST /api/v1/organizations/{id}/invitations Invite member
DELETE /api/v1/organizations/{id}/members/{member_id} Remove member
PUT /api/v1/organizations/{id}/members/{member_id} Update member roleBilling
GET /api/v1/billing/usage Get current usage
GET /api/v1/billing/plans List available plans
POST /api/v1/billing/checkout Create checkout session
GET /api/v1/billing/portal Get billing portal URLCI/CD Integration
Trigger journeys via API key (uses /api/agent prefix):
# Trigger a journey
POST /api/agent/journeys/{id}/trigger
# Poll run status
GET /api/agent/runs/{id}# Example: GitHub Actions
curl -X POST https://izli.io/api/agent/journeys/JOURNEY_ID/trigger \
-H "Authorization: Bearer $IZLI_API_KEY"Response Format
Success
{
"success": true,
"data": { ... }
}Error
{
"success": false,
"error": "Error message"
}Error Codes
| HTTP Status | Description |
|---|---|
401 | Invalid or missing API key |
403 | Insufficient permissions |
404 | Resource not found |
400 | Invalid request data |
500 | Server error |